#include <bits/stdc++.h>
#include <iostream>
#include <vector>
#include <algorithm>
typedef long long ll;
using namespace std;

vector<int> a;
int N, K;

int main()
{
    cin >> N >> K;
    int f;
    for(int i = 0; i < N; i++){
        cin >> f;
        a.push_back(f);
    }
    for(int i = 0; i < K; i++){
        a.erase(max_element(a.begin(), a.begin() + K + 1));
    }
    for(int i = 0; i < a.size(); i++){
        cout << a[i] << " ";
    }
    return 0;
}